Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 627010 - Dependency on xterm needed for suspend/resume
Dependency on xterm needed for suspend/resume
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 16:47 EDT by Adam Huffman
Modified: 2011-06-19 17:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.7.3-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-19 17:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2010-08-24 16:47:04 EDT
Description of problem:

On Fedora 13, the Suspend/Terminate dialog window will not appear when the Ctrl-Alt-T shortcut is pressed or the NX window is closed, if xterm is not installed.  If xterm is installed, both approaches work as they should.

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-18.fc13.x86_64

How reproducible:


Steps to Reproduce:
1.Use Ctrl-Alt-T or close NX window
2.
3.
  
Actual results:

Nothing happens if xterm is not installed

Expected results:

Suspend/Terminate window should appear

Additional info:
Comment 1 Bug Zapper 2011-06-01 06:32:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ville Skyttä 2011-06-19 17:01:05 EDT
I wasn't even aware of the functionality, thanks for the report!

There seems to be several ways to display the dialog; /usr/bin/Xdialog will be used if it exists, then if /usr/bin/dialog exists xterm will be used with it, and finally if /usr/bin/Xdialog and /usr/bin/dialog are not available, xmessage will be used.

So the whole picture is a bit more complicated than just adding a xterm dependency, but I'll look into it.
Comment 3 Ville Skyttä 2011-06-19 17:44:35 EDT
This approach fixes it without adding new dependencies (causing a proper fallback to xmessage if no other supported dialogs are available):

http://pkgs.fedoraproject.org/gitweb/?p=freenx-server.git;a=blob;f=freenx-server-0.7.3-nxdialog-627010.patch;h=3a823999e01210c703354e9c5d334be609ec2d5b;hb=450bbeb2f768a44f533491b5b1ce86d79987b13e

Note You need to log in before you can comment on or make changes to this bug.